> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rapport de crédit individuel au Kenya

> Récupérez le rapport de crédit d'un individu au Kenya à l'aide de son numéro de national ID.

L'endpoint Rapport de crédit individuel au Kenya fournit un enregistrement complet des activités liées au crédit d'un individu au Kenya, notamment les comptes de crédit, les échéanciers de paiement, l'utilisation du crédit et le statut d'impayé.

## Endpoint

```
POST /api/onboarding/kenya/individual_credit/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre     | Type   | Requis | Description                                   |
| ------------- | ------ | ------ | --------------------------------------------- |
| `national_id` | string | Oui    | Le numéro de national ID kényan de l'individu |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"national_id": "12345678"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

```json theme={null}
{
  "status": "success",
  "data": {},
  "message": "Kenya Individual Credit Report retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/kenya/individual_credit/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/kenya/individual_credit/:
    post:
      tags:
        - Individual Credit
      summary: Kenya Individual Credit Report
      operationId: kenyaIndividualCredit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - national_id
              properties:
                national_id:
                  type: string
                  example: '12345678'
      responses:
        '200':
          description: Kenya credit report retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````